--- /dev/null	2013-03-17 23:22:00.000000000 +0400
+++ files/extra-patch-ngx_rtmp_hls_config	2013-03-17 23:18:56.000000000 +0400
@@ -0,0 +1,9 @@
+--- ../arut-nginx-rtmp-module-568ce8f/hls/config.orig	2013-03-17 23:05:21.000000000 +0400
++++ ../arut-nginx-rtmp-module-568ce8f/hls/config	2013-03-17 23:05:43.000000000 +0400
+@@ -9,5 +9,5 @@
+                 $ngx_addon_dir/ngx_rtmp_hls_module.c        \
+                 "
+ 
+-CORE_LIBS="$CORE_LIBS -lavformat -lavcodec -lavutil"
++CORE_LIBS="$CORE_LIBS -L/usr/local/lib/ffmpeg-devel -lavformat-devel -lavcodec-devel -lavutil-devel"
+ 
--- Makefile.orig	2013-03-15 00:46:02.000000000 +0400
+++ Makefile	2013-03-17 23:15:05.000000000 +0400
@@ -89,6 +89,7 @@
 	RDS_JSON \
 	REDIS2 \
 	RTMP \
+	RTMP_HLS \
 	SET_MISC \
 	SFLOW \
 	SLOWFS_CACHE \
@@ -177,6 +178,7 @@
 RDS_JSON_DESC=			3rd party rds_json module
 REDIS2_DESC=			3rd party redis2 module
 RTMP_DESC=			3rd party rtmp module
+RTMP_HLS_DESC=			3rd party hls support for rtmp module
 SET_MISC_DESC=			3rd party set_misc module
 SFLOW_DESC=			3rd party sflow module
 SLOWFS_CACHE_DESC=		3rd party slowfs_cache module
@@ -698,6 +700,12 @@
 MASTER_SITES+=	https://github.com/arut/nginx-rtmp-module/tarball/v${NGINX_RTMP_VERSION}/:rtmp
 DISTFILES+=	arut-rtmp-nginx-module-v${NGINX_RTMP_VERSION}-${GIT_RTMP_VERSION}.tar.gz:rtmp
 CONFIGURE_ARGS+=--add-module=${WRKDIR}/arut-nginx-rtmp-module-${GIT_RTMP_VERSION:S/^0-g//}
+.if ${PORT_OPTIONS:MRTMP_HLS}
+LIB_DEPENDS+= avcodec-devel:${PORTSDIR}/multimedia/ffmpeg-devel
+CFLAGS+= -I/usr/local/include/ffmpeg-devel
+CONFIGURE_ARGS+=--add-module=${WRKDIR}/arut-nginx-rtmp-module-${GIT_RTMP_VERSION:S/^0-g//}/hls
+EXTRA_PATCHES+= ${PATCHDIR}/extra-patch-ngx_rtmp_hls_config
+.endif
 .endif
 
 .if ${PORT_OPTIONS:MSET_MISC}
